# schema-export

## Purpose

Uses Hibernate's SchemaExport tool to generate DDL or export the schema.

## Examples

    grails schema-export
    grails prod schema-export
    grails dev schema-export
    grails prod schema-export export
    grails prod schema-export stdout

## Description

Usage:

    grails [environment] schema-export [action] ['stdout'] [filename]

Arguments:

- `environment` - The environment containing the database configuration to use (dev, prod, etc...).
- `action` - Either 'generate' or 'export'. The default is 'generate'.
- `stdout` - Passing 'stdout' will cause the script to dump the ddl to stdout.
- `filename` - The name of the file to write the ddl to. The default is ddl.sql in the project root.